Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas.callback
Class RequestParameterCallback

    java.lang.Object
      org.mortbay.jetty.plus.jaas.callback.RequestParameterCallback

All Implemented Interfaces:
  javax.security.auth.callback.Callback

    public class RequestParameterCallback

extends java.lang.Object
implements javax.security.auth.callback.Callback

RequestParameterCallback Allows a JAAS callback handler to access any parameter from the j_security_check FORM. This means that a LoginModule can access form fields other than the j_username and j_password fields, and use it, for example, to authenticate a user.

Version:
  $Revision: 305 $ $Date: 2006-03-07 21:32:14 +1100 (Tue, 07 Mar 2006) $
Author:
  janb

Constructor Summary
`RequestParameterCallback()`

Method Summary
`java.lang.String` | `getParameterName()`
`java.util.List` | `getParameterValues()`
`void` | `setParameterName(java.lang.String name)`
`void` | `setParameterValues(java.util.List values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestParameterCallback

    public RequestParameterCallback()

Method Detail

### setParameterName

    public void setParameterName(java.lang.String name)

### getParameterName

    public java.lang.String getParameterName()

### setParameterValues

    public void setParameterValues(java.util.List values)

### getParameterValues

    public java.util.List getParameterValues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.